{namespace blog=T3G\AgencyPack\Blog\ViewHelpers}
<div class="tx-blog-post-list {class}">
    <f:if condition="{posts}">
        <f:then>
            <f:if condition="{posts->f:count()} > {settings.lists.pagination.itemsPerPage}">
                <f:then>
                    <f:render section="PaginatePosts" arguments="{posts: posts, pagination: settings.lists.pagination}" />
                </f:then>
                <f:else>
                    <f:render section="ListPosts" arguments="{posts: posts}" />
                </f:else>
            </f:if>
        </f:then>
        <f:else>
            <div class="alert alert-info" role="alert">
                <strong><f:translate key="list.no_posts.title" /></strong><br/><f:translate key="list.no_posts.message" />
            </div>
        </f:else>
    </f:if>
</div>
<f:section name="PaginatePosts">
    <f:widget.paginate objects="{posts}" as="paginatedPosts" configuration="{itemsPerPage: pagination.itemsPerPage, insertAbove: pagination.insertAbove, insertBelow: pagination.insertBelow, maximumNumberOfLinks: pagination.maximumNumberOfLinks, addQueryStringMethod: 'GET'}">
        <f:render section="ListPosts" arguments="{posts: paginatedPosts}" />
    </f:widget.paginate>
</f:section>
<f:section name="ListPosts">
    <f:for each="{posts}" as="post" iteration="iterator">
        <f:if condition="{iterator.isFirst}">
            <div class="card-deck">
        </f:if>

        <f:if condition="{iterator.cycle} % 2">
            <f:then>

                    <blog:cache post="{post}" />
                    <f:render partial="List/Post" arguments="{_all}" />

            </f:then>
            <f:else>

                    <blog:cache post="{post}" />
                    <f:render partial="List/Post" arguments="{_all}" />

                <f:if condition="{iterator.islast}">
                    <f:then></f:then>
                    <f:else>
                    </div><div class="card-deck">
                    </f:else>
                </f:if>
            </f:else>
        </f:if>
        <f:if condition="{iterator.islast}">
        </div>
        </f:if>
    </f:for>
</f:section>
</html>
